﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.PosIntegration
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Refund")]
    [NUnit.Framework.CategoryAttribute("PosIntegration")]
    public partial class RefundFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "Refund.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Refund", "  In order to check refund functionality\n  As a developer\n  I should be able to p" +
                    "rocess different types of refund scenarios", ProgrammingLanguage.CSharp, new string[] {
                        "PosIntegration"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save refund transaction to ledger")]
        public virtual void SaveRefundTransactionToLedger()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save refund transaction to ledger", ((string[])(null)));
#line 7
    this.ScenarioSetup(scenarioInfo);
#line 8
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 9
    testRunner.And("5 SKU 500300 were refunded with reason \'Parts Missing\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
    testRunner.And("Was refunded by cash for 169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 12
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 13
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 14
    testRunner.And("There is refunded line for 5 SKU 500300 with reason code \'04\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 15
    testRunner.And("There is refunded cash payment for 169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
    testRunner.And("Customer info for Vasily is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
    testRunner.And("Transaction is marked as Online", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund does not include information about refunded sale tran for refund without r" +
            "eceipt")]
        public virtual void RefundDoesNotIncludeInformationAboutRefundedSaleTranForRefundWithoutReceipt()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund does not include information about refunded sale tran for refund without r" +
                    "eceipt", ((string[])(null)));
#line 19
    this.ScenarioSetup(scenarioInfo);
#line 20
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 21
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 22
    testRunner.Then("Original transaction values are empty in customer table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about refunded sale tran for refund with receipt")]
        public virtual void RefundIncludesInformationAboutRefundedSaleTranForRefundWithReceipt()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about refunded sale tran for refund with receipt", ((string[])(null)));
#line 24
    this.ScenarioSetup(scenarioInfo);
#line 25
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 26
    testRunner.And("5 SKU 500300 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 28
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 29
    testRunner.And("2 SKU 500300 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 30
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 31
    testRunner.Then("Original transaction values are filled in customer table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Void refund transaction")]
        public virtual void VoidRefundTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Void refund transaction", ((string[])(null)));
#line 33
    this.ScenarioSetup(scenarioInfo);
#line 34
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 35
    testRunner.And("Transaction was voided", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 36
    testRunner.And("Till number was 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 37
    testRunner.And("5 SKU 500300 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 39
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 40
    testRunner.And("There is refunded line for 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 41
    testRunner.And("There are no new payments in database", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 42
    testRunner.And("Till 1 virtual cashier cash balance changed by 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
    testRunner.And("Till 1 virtual cashier number of voids changed by 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about multiple payments")]
        public virtual void RefundIncludesInformationAboutMultiplePayments()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about multiple payments", ((string[])(null)));
#line 45
    this.ScenarioSetup(scenarioInfo);
#line 46
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 47
    testRunner.And("Was refunded by cash for 100", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 48
    testRunner.And("Was refunded by Visa credit card for 69.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
    testRunner.And("Till number was 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 51
    testRunner.Then("There is refunded cash payment for 100", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 52
    testRunner.And("There is refunded Visa card payment for 69.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 53
    testRunner.And("Total till 1 virtual cashier balance changed by -169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 54
    testRunner.And("Till 1 virtual cashier balance for Visa credit card changed by -69.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
    testRunner.And("Till 1 virtual cashier balance for cash changed by -100", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 56
    testRunner.And("Information about tokens and hashes was saved", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about lines reverted in transaction")]
        public virtual void RefundIncludesInformationAboutLinesRevertedInTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about lines reverted in transaction", ((string[])(null)));
#line 58
    this.ScenarioSetup(scenarioInfo);
#line 59
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 60
    testRunner.And("1 SKU 500300 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
    testRunner.And("5 SKU 100006 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
    testRunner.And("Stock for 100006 was 55", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
    testRunner.And("Line for SKU 100006 is reversed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 64
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 65
    testRunner.Then("Lines for SKU 100006 are reversed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 66
    testRunner.And("Amount of reversed lines for till virtual cashier increased by 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 67
    testRunner.And("Stock for 100006 is 55", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save partial refund transaction to ledger")]
        public virtual void SavePartialRefundTransactionToLedger()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save partial refund transaction to ledger", ((string[])(null)));
#line 69
    this.ScenarioSetup(scenarioInfo);
#line 70
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 71
    testRunner.And("5 SKU 500300 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 72
    testRunner.And("1 SKU 100006 sold with Source Item Id = \'2\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 73
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 74
    testRunner.When("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 75
    testRunner.And("2 SKU 500300 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 76
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 77
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 78
    testRunner.And("There is refunded line for 2 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
    testRunner.And("There is no line for SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 80
    testRunner.And("There is 1 line in customer table for items", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save parked refund transaction to ledger")]
        public virtual void SaveParkedRefundTransactionToLedger()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save parked refund transaction to ledger", ((string[])(null)));
#line 82
    this.ScenarioSetup(scenarioInfo);
#line 83
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 84
    testRunner.And("2 SKU 500300 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 85
    testRunner.And("Transaction was parked", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 86
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 87
    testRunner.Then("There is transaction in db for parked refund", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 88
    testRunner.And("There is refunded line for 2 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 89
    testRunner.And("There are no new payments in database", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 90
    testRunner.And("There is no new customer information in database", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about transaction price override")]
        public virtual void RefundIncludesInformationAboutTransactionPriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about transaction price override", ((string[])(null)));
#line 92
    this.ScenarioSetup(scenarioInfo);
#line 93
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 94
    testRunner.And("2 SKU 100006 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 95
    testRunner.And("Price for SKU 100006 was overriden by 200.00 pounds with reason code Refund Price" +
                    " Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 97
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 98
    testRunner.And("There is refunded line for 2 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 99
    testRunner.And("Price override change price difference of SKU 100006 is 96.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
    testRunner.And("Price override code of SKU 100006 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 101
    testRunner.And("Employee discount amount of SKU 100006 is 0.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about transaction price override with not Refund Pric" +
            "e Override code")]
        public virtual void RefundIncludesInformationAboutTransactionPriceOverrideWithNotRefundPriceOverrideCode()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about transaction price override with not Refund Pric" +
                    "e Override code", ((string[])(null)));
#line 103
    this.ScenarioSetup(scenarioInfo);
#line 104
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 105
    testRunner.And("2 SKU 100006 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 106
    testRunner.And("Price for SKU 100006 was overriden by 200.00 pounds with reason code Damaged Good" +
                    "s", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 107
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 108
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 109
    testRunner.And("There is refunded line for 2 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 110
    testRunner.And("Price override change price difference of SKU 100006 is 96.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 111
    testRunner.And("Price override code of SKU 100006 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about transaction Price Erosion")]
        public virtual void RefundIncludesInformationAboutTransactionPriceErosion()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about transaction Price Erosion", ((string[])(null)));
#line 113
    this.ScenarioSetup(scenarioInfo);
#line 114
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 115
    testRunner.And("2 SKU 500300 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 116
    testRunner.And("Price of SKU 500300 was 23.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 117
    testRunner.And("In db price of SKU 500300 was 33.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 118
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 119
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 120
    testRunner.And("There is refunded line for 2 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
    testRunner.And("Price override change price difference of SKU 500300 is 10.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 122
    testRunner.And("Price override code of SKU 500300 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about transaction price override with several SKU")]
        public virtual void RefundIncludesInformationAboutTransactionPriceOverrideWithSeveralSKU()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about transaction price override with several SKU", ((string[])(null)));
#line 124
    this.ScenarioSetup(scenarioInfo);
#line 125
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 126
    testRunner.And("2 SKU 100006 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 127
    testRunner.And("Price for SKU 100006 was overriden by 200.00 pounds with reason code Refund Price" +
                    " Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 128
    testRunner.And("3 SKU 500300 were refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 129
    testRunner.And("Price for SKU 500300 was overriden by 35.00 pounds with reason code Refund Price " +
                    "Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 130
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 131
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 132
    testRunner.And("There is refunded line for 2 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 133
    testRunner.And("Price override change price difference of SKU 100006 is 96.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 134
    testRunner.And("Price override code of SKU 100006 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 135
    testRunner.And("There is refunded line for 3 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 136
    testRunner.And("Price override change price difference of SKU 500300 is -1.03 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 137
    testRunner.And("Price override code of SKU 500300 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about refunded sale tran for refund with receipt but " +
            "missing sale transaction")]
        public virtual void RefundIncludesInformationAboutRefundedSaleTranForRefundWithReceiptButMissingSaleTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about refunded sale tran for refund with receipt but " +
                    "missing sale transaction", ((string[])(null)));
#line 139
    this.ScenarioSetup(scenarioInfo);
#line 140
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 141
    testRunner.And("5 SKU 500300 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 142
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 143
    testRunner.And("Data base was cleaned up", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 144
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 145
    testRunner.And("2 SKU 500300 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 146
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 147
    testRunner.Then("Original transaction values are empty in customer table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund includes information about refunded sale with correct original line number" +
            "")]
        public virtual void RefundIncludesInformationAboutRefundedSaleWithCorrectOriginalLineNumber()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund includes information about refunded sale with correct original line number" +
                    "", ((string[])(null)));
#line 149
    this.ScenarioSetup(scenarioInfo);
#line 150
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 151
    testRunner.And("5 SKU 500300 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 152
    testRunner.And("3 SKU 100006 sold with Source Item Id = \'2\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 153
    testRunner.And("1 SKU 100005 sold with Source Item Id = \'3\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 154
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 155
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 156
    testRunner.And("2 SKU 500300 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 157
    testRunner.And("1 SKU 100005 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'3\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 158
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 159
    testRunner.Then("Original transaction values are filled in customer table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 160
    testRunner.And("Original Line Number in Customer Table for SKU 500300 is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 161
    testRunner.And("Original Line Number in Customer Table for SKU 100005 is 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package is saved with correct Initial Price")]
        public virtual void RefundOfSingleItemFromPackageIsSavedWithCorrectInitialPrice()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package is saved with correct Initial Price", ((string[])(null)));
#line 163
    this.ScenarioSetup(scenarioInfo);
#line 164
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 165
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 166
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 167
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 168
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 169
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 170
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 171
    testRunner.And("There is line for SKU 100149 with price equal 3.75, amount equal -7.5, discount e" +
                    "qual 0.00, value added tax equal 1.25", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 172
    testRunner.And("Price override change price difference of SKU 100149 is 0.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 173
    testRunner.And("Price override code of SKU 100149 is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package with Price Erosion")]
        public virtual void RefundOfSingleItemFromPackageWithPriceErosion()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package with Price Erosion", ((string[])(null)));
#line 175
    this.ScenarioSetup(scenarioInfo);
#line 176
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 177
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 178
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 179
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 180
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.8 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 181
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 182
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 183
    testRunner.And("There is line for SKU 100149 with price equal 3.8, amount equal -7.6, discount eq" +
                    "ual 0.00, value added tax equal 1.27", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 184
    testRunner.And("Price override change price difference of SKU 100149 is -0.05 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 185
    testRunner.And("Price override code of SKU 100149 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package with Price Override")]
        public virtual void RefundOfSingleItemFromPackageWithPriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package with Price Override", ((string[])(null)));
#line 187
    this.ScenarioSetup(scenarioInfo);
#line 188
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 189
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 190
    testRunner.And("Price for SKU 158057 was overriden by 10.99 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 191
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 192
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 193
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 194
    testRunner.And("Price for SKU 100149 was overriden by 2.75 pounds with reason code Refund Price O" +
                    "verride", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 195
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 196
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 197
    testRunner.And("There is line for SKU 100149 with price equal 2.75, amount equal -5.5, discount e" +
                    "qual 0.00, value added tax equal 0.92", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 198
    testRunner.And("Price override change price difference of SKU 100149 is 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 199
    testRunner.And("Price override code of SKU 100149 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package with Price Override and Collegue Discount")]
        public virtual void RefundOfSingleItemFromPackageWithPriceOverrideAndCollegueDiscount()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package with Price Override and Collegue Discount", ((string[])(null)));
#line 201
    this.ScenarioSetup(scenarioInfo);
#line 202
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 203
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 204
    testRunner.And("Price for SKU 158057 was overriden by 10.99 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 205
    testRunner.And("Collegue Discount amount for SKUs 158057 is 2.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 206
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 207
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 208
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 209
    testRunner.And("Price for SKU 100149 was overriden by 2.75 pounds with reason code Refund Price O" +
                    "verride", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 210
    testRunner.And("Collegue Discount amount for SKUs 100149 is 0.5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 211
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 212
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 213
    testRunner.And("There is line for SKU 100149 with price equal 2.5, amount equal -5.0, discount eq" +
                    "ual 0.25, value added tax equal 0.83", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 214
    testRunner.And("Price override change price difference of SKU 100149 is 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 215
    testRunner.And("Price override code of SKU 100149 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package is saved with correct Initial Price from Legac" +
            "y Transaction")]
        public virtual void RefundOfSingleItemFromPackageIsSavedWithCorrectInitialPriceFromLegacyTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package is saved with correct Initial Price from Legac" +
                    "y Transaction", ((string[])(null)));
#line 217
    this.ScenarioSetup(scenarioInfo);
#line 218
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 219
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 220
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 221
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 222
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 223
    testRunner.And("Refunded Transaction Id of Refund Item of SKU 100149 is legacy", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 224
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 225
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 226
    testRunner.And("There is line for SKU 100149 with price equal 3.75, amount equal -7.5, discount e" +
                    "qual 0.00, value added tax equal 1.25", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 227
    testRunner.And("Price override change price difference of SKU 100149 is 0.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 228
    testRunner.And("Price override code of SKU 100149 is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package with Price Erosion for Legacy Transaction")]
        public virtual void RefundOfSingleItemFromPackageWithPriceErosionForLegacyTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package with Price Erosion for Legacy Transaction", ((string[])(null)));
#line 230
    this.ScenarioSetup(scenarioInfo);
#line 231
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 232
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 233
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 234
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 235
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.8 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 236
    testRunner.And("Refunded Transaction Id of Refund Item of SKU 100149 is legacy", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 237
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 238
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 239
    testRunner.And("There is line for SKU 100149 with price equal 3.8, amount equal -7.6, discount eq" +
                    "ual 0.00, value added tax equal 1.27", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 240
    testRunner.And("Price override change price difference of SKU 100149 is -0.05 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 241
    testRunner.And("Price override code of SKU 100149 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package with Price Override for Legacy Transaction")]
        public virtual void RefundOfSingleItemFromPackageWithPriceOverrideForLegacyTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package with Price Override for Legacy Transaction", ((string[])(null)));
#line 243
    this.ScenarioSetup(scenarioInfo);
#line 244
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 245
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 246
    testRunner.And("Price for SKU 158057 was overriden by 10.99 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 247
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 248
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 249
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 250
    testRunner.And("Refunded Transaction Id of Refund Item of SKU 100149 is legacy", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 251
    testRunner.And("Price for SKU 100149 was overriden by 2.75 pounds with reason code Refund Price O" +
                    "verride", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 252
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 253
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 254
    testRunner.And("There is line for SKU 100149 with price equal 2.75, amount equal -5.5, discount e" +
                    "qual 0.00, value added tax equal 0.92", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 255
    testRunner.And("Price override change price difference of SKU 100149 is 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 256
    testRunner.And("Price override code of SKU 100149 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund of Single Item from Package with Price Override and Collegue Discount for " +
            "Legacy Transaction")]
        public virtual void RefundOfSingleItemFromPackageWithPriceOverrideAndCollegueDiscountForLegacyTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund of Single Item from Package with Price Override and Collegue Discount for " +
                    "Legacy Transaction", ((string[])(null)));
#line 258
    this.ScenarioSetup(scenarioInfo);
#line 259
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 260
    testRunner.And("1 SKU 158057 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 261
    testRunner.And("Price for SKU 158057 was overriden by 10.99 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 262
    testRunner.And("Collegue Discount amount for SKUs 158057 is 2.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 263
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 264
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 265
    testRunner.And("2 SKU 100149 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\' and Price 3.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 266
    testRunner.And("Refunded Transaction Id of Refund Item of SKU 100149 is legacy", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 267
    testRunner.And("Price for SKU 100149 was overriden by 2.75 pounds with reason code Refund Price O" +
                    "verride", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 268
    testRunner.And("Collegue Discount amount for SKUs 100149 is 0.5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 269
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 270
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 271
    testRunner.And("There is line for SKU 100149 with price equal 2.5, amount equal -5.0, discount eq" +
                    "ual 0.25, value added tax equal 0.83", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 272
    testRunner.And("Price override change price difference of SKU 100149 is 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 273
    testRunner.And("Price override code of SKU 100149 is Refund Price Override", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund with receipt includes survey postcode information")]
        public virtual void RefundWithReceiptIncludesSurveyPostcodeInformation()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund with receipt includes survey postcode information", ((string[])(null)));
#line 275
    this.ScenarioSetup(scenarioInfo);
#line 276
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 277
    testRunner.And("5 SKU 500300 sold with Source Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 278
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 279
    testRunner.And("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 280
    testRunner.And("2 SKU 500300 from the previous transaction were refunded with Refund Transaction " +
                    "Item Id = \'1\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 281
    testRunner.And("Survey Postcode is \'QQ11QQ\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 282
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 283
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 284
    testRunner.And("Original transaction values are filled in customer table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 285
    testRunner.And("There is Customer Line with the sale Date, Till Number, Transaction Number and Po" +
                    "stcode \'QQ11QQ\' and other fields with default values", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund without receipt includes survey postcode information")]
        public virtual void RefundWithoutReceiptIncludesSurveyPostcodeInformation()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund without receipt includes survey postcode information", ((string[])(null)));
#line 287
    this.ScenarioSetup(scenarioInfo);
#line 288
    testRunner.Given("Refund happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 289
    testRunner.And("5 SKU 500300 were refunded with reason \'Parts Missing\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 290
    testRunner.And("Survey Postcode is \'QQ11QQ\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 291
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 292
    testRunner.Then("There is refund in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 293
    testRunner.And("There is Customer Line with the sale Date, Till Number, Transaction Number and Po" +
                    "stcode \'QQ11QQ\' and other fields with default values", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
